
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

@import 'colors';

// Create the theme object (a Sass map containing all of the palettes).
$theme: mat-light-theme($primary, $accent, $warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($theme);

// Custom theme for buttons
$like-button-accent: mat-palette($mat-green);
$like-button-theme: mat-light-theme($primary, $like-button-accent, $warn);
@include mat-button-theme($like-button-theme);

.snackbar-success {
  background-color: #9ccc65;
  color: mat-contrast($accent, 400);
}

.snackbar-error {
  background-color: mat-color($warn);
  color: mat-contrast($warn, 400);
}
